function publishDocs(docName)

if nargin < 1
    docName = {'User_Guide.m', 'BertiniLab_User_Guide.m', 'Polysym_User_Guide.m', ...
        'First_run.m', 'helpfuncbycat.m', 'Installing_BertiniLab.m', 'systemRequirements.m', ...
        'WhatIsBertini.m', 'WhatIsBertiniLab.m', 'KnownIssues.m'};
elseif ischar(docName)
    docName = {docName};
end

docFolder = fullfile(BertiniLabRoot,'doc');
options_doc_BertiniLab.stylesheet = fullfile(docFolder,'mxdom2mathjax.xsl');

% Most of the documentation goes in the doc/html folder
for ii=1:length(docName)
    publish(docName{ii},options_doc_BertiniLab);
end

% Put the Getting Started folder in the root directory
options_gettingStarted = options_doc_BertiniLab;
options_gettingStarted.outputDir = BertiniLabRoot;
publish('GettingStarted.m',options_gettingStarted);

% Remove files created by Bertini
BertiniClean