classdef ge_problem < BertiniLab
% Solve a generalized eigenvalue problem
%
% The variables of interest are mu0 and lambda, so the solve method is
% modified to extract their values from the solutions.

properties
    eigenvalue_pairs = [];
end
methods
    function obj = ge_problem(A,B)
        mu0 = polysym('mu0');
        lambda = polysym('lambda');
        N = length(A);
        
        v = polysym('v',[1 N]);
        fname = polysym('f',[1 N]);
        fval = (mu0*A-lambda*B)*v.';
        
        obj = obj@BertiniLab('function_def',[fname(:) fval(:)], ...
    'hom_variable_group',{[mu0 lambda],v});
    end
    function obj = solve(obj)
       obj = solve@BertiniLab(obj);
       sols = obj.match_solutions('nonsingular_solutions');
       
       obj.eigenvalue_pairs = [sols.mu0 sols.lambda];
    end
end

end