function publishBookExamples(docName)

if nargin < 1
    docName = {'examplesFromBook', ...
        'Chapter_1.m','Intersections_of_straight_lines.m', ...
        'Intersection_of_circle_with_y_axis.m','Numerical_accuracy_and_function_residuals.m', ...
        'Straight_line_programs.m', ...
        'Chapter_2.m','User_defined_homotopy_1.m', 'User_defined_homotopy_2.m', ...
        'Chapter_4.m','Simple_eigenvalue_problem.m','Generalized_eigenvalue_problem.m', ...
        'Paths_to_infinity.m', ...
        'Chapter_5.m','Multihomogeneous_homotopy.m', ...
        'Intersection_of_two_spheres_and_a_cone_using_regeneration.m','Lagrange_points.m', ...
        'Chapter_6.m','Parameter_homotopy_Sextic_Ab_Initio.m', ...
        'Chapter_7.m','Sharpening_using_Newtons_method.m','Sharpening_module.m', ...
        'Root_sharpening_after_a_homotopy.m','Evaluating_a_system_and_Jacobian.m', ...
        'Performing_a_Newton_iteration.m', ...
        'Chapter_8.m','Witness_sets_and_the_numerical_irreducible_decomposition', ...
        'Chapter_9.m','Complete_intersection.m','Incomplete_intersection.m', ...
        'Adjacent_Minors_dimension_by_dimension.m', ...
        'Chapter_11.m','Printing_a_Witness_Set.m', ...
        'Chapter_12.m','Intersection_of_two_lines.m', ...
        'Chapter_14.m','Point_on_each_connected_component.m'};
    
elseif ischar(docName)
    docName = {docName};
end

docFolder = fullfile(BertiniLabRoot,'doc');
options_doc_BertiniLab.stylesheet = fullfile(docFolder,'mxdom2mathjax.xsl');

for ii=1:length(docName)
    publish(docName{ii},options_doc_BertiniLab);
end

% Clean up Bertini files
BertiniClean