function install
%INSTALL Install BertiniLab
%
% install adds the current folder to the MATLAB path and returns an
% instruction to add a string to the startup.m file so the
% path can be modified automatically when MATLAB is started.
%
% BERTINIVERSION assumes that the name of the folder includes a string like
% 'BertiniLab1.4', where the numeric part is the version number. If you
% have changed the name, you will need to edit utilities/BertiniVersion.m
% by hand.

fprintf('\n   BertiniLab version %s\n\n',BertiniLabVersion)

% Create a string to add to the startup file
p = genpath(BertiniLabRoot);
path(path,p)

disp('Remaining actions needed:')
disp(' ')
disp('1. Add this line to your startup folder:')
disp(['p = genpath(''',BertiniLabRoot,'''); path(path,p); clear p'])
disp(' ')
disp('2. Edit the definition of program_folder in BertiniLab.m to give the folder where Bertini resides.')
disp(' ')
disp('3. Edit the definition of program_name in BertiniLab.m to give the name that is used to call Bertini.')

