classdef  testPolyval < matlab.unittest.TestCase
    
    properties(TestParameter)
        p = {1:3, polysym('p',[1 3])};
        x = {2, [1 2; 3 4], polysym(2)};
    end
    
    methods(Test)
        
        function testNoValue(testCase,p)
            f = @() polyval(p);
            testCase.verifyError(f,'MATLAB:minrhs')
        end
        
        function testEmptyValue(testCase)
            a = []; x0 = polysym(1);
            y = polyval(a,x0);
            testCase.verifyEqual(y,polysym(0))
        end
        
        function testEmptyParam(testCase)
            a = polysym(1); x0 = [];
            y = polyval(a,x0);
            testCase.verifyEqual(y,polysym.empty)
        end
        
        function mixedTest(testCase,x,p)
            y = polyval(p,x);
            testCase.verifyEqual(y,x.*(x*p(1)+p(2))+p(3));
        end
     end
end